Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 2967 - Summary: rpm-2.5.5 --sign fails with certain PGP pass phrases
Summary: Summary: rpm-2.5.5 --sign fails with certain PGP pass phrases
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 5.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-22 15:23 UTC by kevinc
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-30 23:28:48 UTC


Attachments (Terms of Use)

Description kevinc 1999-05-22 15:23:38 UTC
When trying 'rpm --resign -vv foo.i386.rpm' while my
PGP passphrase is "99%secret" produces the following.

   Enter pass phrase:

   Error:  Bad pass phrase.
   Signature error

   For a usage summary, type:  pgp -h
   For more detailed help, consult the PGP User's Guide.
   Pass phrase check failed

PGP accepts the very same pass phrase above as valid -- yes,
I'm certain.  When I change my PGP pass phrase to something
else, "baddog" for instance, then the same RPM command
renders:

   Enter pass phrase:

   Key for user ID: Kevin Cosgrove <kevinc@dOink.COM>
   1024-bit key, Key ID 14897F55, created 1996/01/31
   Also known as: Kevin Cosgrove <kevinc@mdhost.cse.tek.com>
   Also known as: Kevin Cosgrove <kevinc@dOink.COM>
   Also known as: Kevin Cosgrove
<kevinc@joseph.isdn1.tek.com>
   Also known as: Kevin Cosgrove <Kevin.E.Cosgrove@Tek.COM>
   Pass phrase is good.
   xpt-1.11-1.src.rpm:
   D: New Header signature
   D: Signature size: 236
   D: Signature pad : 4
   D: sigsize         : 240
   D: Header + Archive: 17538
   D: expected size   : 17538
   Generating signature: 1002

   Key for user ID: Kevin Cosgrove <kevinc@dOink.COM>
   1024-bit key, Key ID 14897F55, created 1996/01/31
   Also known as: Kevin Cosgrove <kevinc@mdhost.cse.tek.com>
   Also known as: Kevin Cosgrove <kevinc@dOink.COM>
   Also known as: Kevin Cosgrove
<kevinc@joseph.isdn1.tek.com>
   Also known as: Kevin Cosgrove <Kevin.E.Cosgrove@Tek.COM>
   D: PGP sig size: 152
   D: Got 152 bytes of PGP sig
   D: Signature size: 236
   D: Signature pad : 4


Thanks.....

Comment 1 Jeff Johnson 1999-05-22 20:07:59 UTC
OK, thanks for reporting. News at 11 ...

Comment 2 Jeff Johnson 2001-07-28 11:46:44 UTC
The '%' in the password is/was almost certainly the problem.


Note You need to log in before you can comment on or make changes to this bug.